Description

Implement support for restriction by nodeId in CN.listObjects

History

#1 - 2015-05-18 23:23 - Jing Tao

Here is the node in dave's email:

originNodeId: Limit the response to objects with SystemMetadata.originMemberNode equal to the specified value. When not specified, all entries

should be returned. This is a case-sensitive, exact match.

Rob, did you update CNRead class. I didn't find the new change there.

#2 - 2015-07-06 21:11 - Jing Tao

Did we update the API documentation?

I don't see the nodeid parameter in 

http://jenkins-1.dataone.org/documentation/unstable/API-Documentation-development/apis/CN_APIs.html#CNRead.listObjects

#3 - 2015-07-16 00:01 - Jing Tao

- Status changed from New to In Progress

- % Done changed from 0 to 30

The nodeId parameter was added to CN.listObjects method. And I tested and it worked.

The only issue is if we need to remove "replicatStatus" in the  MN.listObjects.

#4 - 2015-07-17 18:02 - Jing Tao

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from In Progress to Closed

It turned out that the parameter replicaStatus on MN.listObjects was removed accidentally. Chris fixed the issue on the documentation.
